Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.greedyFit.decider
Class GreedyMoveScope

    java.lang.Object
      org.optaplanner.core.impl.constructionheuristic.greedyFit.decider.GreedyMoveScope

    public class GreedyMoveScope

extends Object

Constructor Summary
`GreedyMoveScope(GreedyFitStepScope greedyFitStepScope)`

Method Summary
`GreedyFitStepScope` | `getGreedyFitStepScope()`
`Move` | `getMove()`
`int` | `getMoveIndex()`
`Score` | `getScore()`
`ScoreDirector` | `getScoreDirector()`
`Move` | `getUndoMove()`
`Random` | `getWorkingRandom()`
`Solution` | `getWorkingSolution()`
`void` | `setMove(Move move)`
`void` | `setMoveIndex(int moveIndex)`
`void` | `setScore(Score score)`
`void` | `setUndoMove(Move undoMove)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GreedyMoveScope

    public GreedyMoveScope(GreedyFitStepScope greedyFitStepScope)

Method Detail

### getGreedyFitStepScope

    public GreedyFitStepScope getGreedyFitStepScope()

### getMoveIndex

    public int getMoveIndex()

### setMoveIndex

    public void setMoveIndex(int moveIndex)

### getMove

    public Move getMove()

### setMove

    public void setMove(Move move)

### getUndoMove

    public Move getUndoMove()

### setUndoMove

    public void setUndoMove(Move undoMove)

### getScore

    public Score getScore()

### setScore

    public void setScore(Score score)

### getScoreDirector

    public ScoreDirector getScoreDirector()

### getWorkingSolution

    public Solution getWorkingSolution()

### getWorkingRandom

    public Random getWorkingRandom()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.